summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2016-11-21 16:08:32 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2016-11-21 16:08:32 +0100
commitc97d2d2b6d8db093bda061bbc4cd3018cb4b1e24 (patch)
tree2b30fdf6c5ca2eb8489127b790bd434da34ddc7d
parentf5eb8002f3cd33ba7182e07ea1f97b8a074e67aa (diff)
downloadimpressive-display-c97d2d2b6d8db093bda061bbc4cd3018cb4b1e24.tar.gz
impressive-display-c97d2d2b6d8db093bda061bbc4cd3018cb4b1e24.tar.bz2
impressive-display-c97d2d2b6d8db093bda061bbc4cd3018cb4b1e24.zip
impressive-display: Silence some grep calls.
-rwxr-xr-xbin/impressive-display4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/impressive-display b/bin/impressive-display
index bc0bac4..0e3bdf7 100755
--- a/bin/impressive-display
+++ b/bin/impressive-display
@@ -157,7 +157,7 @@ else
RESOLUTION="$DEFAULT_RESOLUTION"
fi
-if ! echo "$PDF_URI" | grep -E "^(file://|http://|https://).*"; then
+if ! echo "$PDF_URI" | grep -q -E "^(file://|http://|https://).*"; then
$OUTPUT "ERROR: PDF_URI format not supported: $PDF_URI"
$OUTPUT " Use file://<path>/<file>.pdf(.gz) or http(s)://<host>/<path>/<file>.pdf. Doing nothing."
exit -1
@@ -341,7 +341,7 @@ function download_pdffile {
fi
# is the PDF file gzipped?
- if echo "$DOWNLOADED_FILE" | grep -E '.*\.gz$'; then
+ if echo "$DOWNLOADED_FILE" | grep -q -E '.*\.gz$'; then
gunzip -f "$DOWNLOADED_FILE"
mv "${DOWNLOADED_FILE/.gz/}" "$pdffile_downloaded"
else